Quick entity layer change

Hello,

Is there any command in BricsCAD that allows change of an entity's layer? Let's say to said specific layer in command line.

Or the only way how to change layer of an already existing object is through the pull down menu that is usually on the top left of the screen? The panel is called "Entity properties" i guess. I am not on english version of BricsCAD

Thanks in advance.

 

Comments

  • You can use the setlayer command to set entity(s) to the current layer.  I just use the layer tool bar, Select the entity(s) then select the desired layer from the layer tool bar.  Also, you can copy the properties (layer) from another entity by using the matchprop command (‘MA’ for short).

  • @ Daniel: setlayer (or _laymcur) does the opposite: it sets the current layer to the layer of an entity. Maybe you are confused with AC's _laycur command.

  • Doh! Your right : |

  • You can use command _CHPROP with _LA option.

  • maybe something like ?

    (defun c:laycur (/ doc l s)
      (ssget)
      (setq doc (vla-get-ActiveDocument (vlax-get-acad-object))
     l (vla-get-activelayer doc)
      )
      (vlax-map-collection (setq s (vla-get-ActiveSelectionset doc))
             (function (lambda (o)
           (vla-put-layer o (vla-get-name l))
         )
             )
      )
      (vla-delete s)
      (princ)
    )
  • Thank you all. Will try to set up a macro tommorow at work and see how this works.

    Not quite sure how to assign an alias to a macro yet.

     

    @Daniel

    I don't quite understand the code thingy at all but thanks for trying.

This discussion has been closed.